> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-governance/business-rules/business-rule-details/conditions.md).

# Conditions

Conditions must be met for the actions in a business rule to execute.

You can add or update conditions through [Settings](/reference/settings.md) > [Data governance](/reference/settings/data-governance.md) > [Business rules](/reference/settings/data-governance/business-rules.md) > [Conditions](/reference/settings/data-governance/business-rules/business-rule-details/conditions.md).

### Add a new condition set

1. Click "Add condition"
2. Click "+ New condition"-icon in the appearing dialog
3. Choose a condition from the [condition list](/reference/settings/data-governance/business-rules/business-rule-details/conditions/condition-details.md)
4. Configure [settings](/reference/settings/data-governance/business-rules/business-rule-details/conditions/condition-details/condition-configuration-details.md) if required
5. Click "Confirm"

### Edit condition set

1. Click "Edit"-icon
2. Modify condition [settings](/reference/settings/data-governance/business-rules/business-rule-details/conditions/condition-details/condition-configuration-details.md)
3. Click "Confirm"

### Delete condition set

1. Click "Delete"-icon

### Add a new condition

1. Click condition set
2. Click "+ New Condition"-icon
3. Choose a condition from the [condition list](/reference/settings/data-governance/business-rules/business-rule-details/conditions/condition-details.md)
4. Configure [settings](/reference/settings/data-governance/business-rules/business-rule-details/conditions/condition-details/condition-configuration-details.md) if required
5. Click "Confirm"
6. Click "Confirm"

### Edit condition

1. Click condition set
2. Click condition to edit
3. Modify condition [configuration](/reference/settings/data-governance/business-rules/business-rule-details/conditions/condition-details/condition-configuration-details.md)
4. Click "Confirm"
5. Click "Confirm"

### Delete condition

1. Click condition set
2. Click "Cross"-icon
3. Click "Confirm"

{% hint style="info" %}
**Tip** A trigger must be set before you can add a condition set.
{% endhint %}

{% hint style="info" %}
**Tip** If a condition set contains more than one condition, choose whether to use 'And' or 'Or' for the conditions.\
\
If 'And' is chosen both conditions must be met for the condition set to be satisfied.\
\
If 'Or' is chosen one of the conditions or both of them must be met for the condition set to be satisfied.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/settings/data-governance/business-rules/business-rule-details/conditions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
